Bug 1338046 - dnf will consume 100% CPU when there is no space left on device
dnf will consume 100% CPU when there is no space left on device
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-20 19:07 EDT by Thadeu Lima de Souza Cascardo
Modified: 2016-08-27 06:21 EDT (History)
6 users (show)

See Also:
Fixed In Version: dnf-1.1.10-1.fc24 dnf-1.1.10-1.fc23 dnf-1.1.10-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-19 15:51:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thadeu Lima de Souza Cascardo 2016-05-20 19:07:43 EDT
Description of problem:

dnf will consume 100% of CPU when trying to create a lock when the device is full.

Version-Release number of selected component (if applicable):
dnf-1.1.8-1.fc23.noarch

How reproducible:
dnf started by itself and I noticed a 100% CPU consumption, killed dnf two times. The third time, I ran strace and found out about the full device.

Steps to Reproduce:
1. Make / full.
2. Let dnf start.
3. Notice 100% CPU use.

Actual results:
dnf consumes 100% CPU.

Expected results:
dnf should bail out.

Additional info:
strace output.

open("/var/cache/dnf/metadata_lock.pid", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/var/cache/dnf/metadata_lock.pid", O_WRONLY|O_CREAT|O_EXCL|O_CLOEXEC, 0644) = -1 ENOSPC (No space left on device)
open("/var/cache/dnf/metadata_lock.pid", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/var/cache/dnf/metadata_lock.pid", O_WRONLY|O_CREAT|O_EXCL|O_CLOEXEC, 0644) = -1 ENOSPC (No space left on device)
open("/var/cache/dnf/metadata_lock.pid", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/var/cache/dnf/metadata_lock.pid", O_WRONLY|O_CREAT|O_EXCL|O_CLOEXEC, 0644) = -1 ENOSPC (No space left on device)
open("/var/cache/dnf/metadata_lock.pid", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/var/cache/dnf/metadata_lock.pid", O_WRONLY|O_CREAT|O_EXCL|O_CLOEXEC, 0644) = -1 ENOSPC (No space left on device)
open("/var/cache/dnf/metadata_lock.pid", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/var/cache/dnf/metadata_lock.pid", O_WRONLY|O_CREAT|O_EXCL|O_CLOEXEC, 0644) = -1 ENOSPC (No space left on device)
open("/var/cache/dnf/metadata_lock.pid", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/var/cache/dnf/metadata_lock.pid", O_WRONLY|O_CREAT|O_EXCL|O_CLOEXEC, 0644) = -1 ENOSPC (No space left on device)
open("/var/cache/dnf/metadata_lock.pid", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/var/cache/dnf/metadata_lock.pid", O_WRONLY|O_CREAT|O_EXCL|O_CLOEXEC, 0644) = -1 ENOSPC (No space left on device)
open("/var/cache/dnf/metadata_lock.pid", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/var/cache/dnf/metadata_lock.pid", O_WRONLY|O_CREAT|O_EXCL|O_CLOEXEC, 0644) = -1 ENOSPC (No space left on device)
open("/var/cache/dnf/metadata_lock.pid", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/var/cache/dnf/metadata_lock.pid", O_WRONLY|O_CREAT|O_EXCL|O_CLOEXEC, 0644) = -1 ENOSPC (No space left on device)
open("/var/cache/dnf/metadata_lock.pid", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:39:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Igor Gnatenko 2016-07-21 10:39:26 EDT
Fixed as part of DNF 2.0 release which will be available at some point soon.
Comment 4 Fedora Update System 2016-08-18 11:19:16 EDT
dnf-1.1.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-267f843cda
Comment 5 Fedora Update System 2016-08-18 11:20:30 EDT
dnf-1.1.10-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8caa619a9e
Comment 6 Fedora Update System 2016-08-18 11:21:33 EDT
dnf-1.1.10-1.fc24 dnf-plugins-core-0.1.21-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-878284e0d3
Comment 7 Fedora Update System 2016-08-18 12:52:45 EDT
dnf-1.1.10-1.fc25, dnf-plugins-core-0.1.21-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8caa619a9e
Comment 8 Fedora Update System 2016-08-18 20:22:32 EDT
dnf-1.1.10-1.fc23, dnf-plugins-core-0.1.21-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-267f843cda
Comment 9 Fedora Update System 2016-08-18 20:57:44 EDT
dnf-1.1.10-1.fc24, dnf-plugins-core-0.1.21-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-878284e0d3
Comment 10 Fedora Update System 2016-08-19 15:50:37 EDT
dnf-1.1.10-1.fc24, dnf-plugins-core-0.1.21-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-08-23 11:19:44 EDT
dnf-1.1.10-1.fc23, dnf-plugins-core-0.1.21-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-08-27 06:20:45 EDT
dnf-1.1.10-1.fc25, dnf-plugins-core-0.1.21-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.